C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C****************************
C**     LDM_SET_TEMPL      **
C****************************
C
C
CD-Doc:
C TEMPlate         SUBROUTINE LDM_SET_TEMPL (VALSTR, IERR, ERRSTR)
CD-end
      SUBROUTINE LDM_SET_TEMPL (VALSTR, IERR, ERRSTR)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Set value of string parameter TEMPLATE
C
C Author:  John W. Campbell, June 1993
C
C Arguments:
C
      CHARACTER*(*) VALSTR
      INTEGER IERR
      CHARACTER*(*) ERRSTR

C  VALSTR    (R)   File name template string
C  IERR      (W)   Error flag =0 OK
C  ERRSTR    (W)   Error description string if error found
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      IERR = 0
      ERRSTR = ' '
      TEMPL = VALSTR
      IS_TEMPL = 1
      CH_TEMPL = CH_MASK
      RETURN
      END
