C
C SUBROUTINE 'QSSCRL'
C ===================
C
C SET SCROLL REGION ON ANSI SCREEN
C
      SUBROUTINE QSSCRL(ILIN1,ILIN2)
C
C PARAMETERS
C
C         ILIN1 (I)  START LINE FOR SCROLL (1-24)
C         ILIN2 (I)  END LINE FOR SCROLL (1-24) (>=ILIN1)
C
C SPECIFICATION STATEMENTS
C ------------------------
C
      CHARACTER*8 SCROLL
C
C CODE
C ----
C
      IF (ILIN1.LT.1 .OR. ILIN1.GT.24) RETURN
      IF (ILIN1.LT.1 .OR. ILIN2.GT.24) RETURN
      IF (ILIN2.LT.ILIN1) RETURN
      SCROLL(1:1)=CHAR(27)
      SCROLL(2:2)=CHAR(91)
      IF (ILIN1.LT.10) THEN
         WRITE (SCROLL(3:3),1000) ILIN1
         II=4
      ELSE
         WRITE (SCROLL(3:4),1001) ILIN1
         II=5
      ENDIF
      SCROLL(II:II)=CHAR(59)
      II=II+1
      IF (ILIN2.LT.10) THEN
         WRITE (SCROLL(II:II),1000) ILIN2
         II=II+1
      ELSE
         WRITE (SCROLL(II:II+1),1001) ILIN2
         II=II+2
      ENDIF
      SCROLL(II:II)=CHAR(114)
      CALL QGSEND(SCROLL(1:II))
      RETURN
C
C FORMAT STATEMENTS
C
1000  FORMAT(I1)
1001  FORMAT(I2)
      END
